package com.ruoyi;

import cclotus.ruoyi.ext.RuoYiExtConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Import;

/**
 * 启动程序
 *
 * @author ruoyi
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@Import({RuoYiExtConfiguration.class})
public class RuoYiApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(RuoYiApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  网站管理服务启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "  _   _          _   _            __        __                 _       _ \n" +
                " | | | |   ___  | | | |   ___     \\ \\      / /   ___    _ __  | |   __| |\n" +
                " | |_| |  / _ \\ | | | |  / _ \\     \\ \\ /\\ / /   / _ \\  | '__| | |  / _` |\n" +
                " |  _  | |  __/ | | | | | (_) |     \\ V  V /   | (_) | | |    | | | (_| |\n" +
                " |_| |_|  \\___| |_| |_|  \\___/       \\_/\\_/     \\___/  |_|    |_|  \\__,_|\n" +
                "                                                                         ");
    }
}
