package com.ruoyi;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;

@Configuration
@MapperScan("com.cclotus.**.mapper")
@ComponentScan(
        basePackages = {"com.ruoyi.**", "com.cclotus.**"},
        excludeFilters = {
                @ComponentScan.Filter(type = FilterType.REGEX, pattern = "^com.cclotus.[\\w+.]+controller.wxapp.[\\w+.]*\\w+")
        }
)
public class ServiceConfigure {
}
