package cclotus.weixin.api.domain

import cclotus.weixin.gateway.domain.ReturnCode
import lombok.Getter
import lombok.Setter

/**
 * /sns/jscode2session接口返回数据结构，用于小程序登录过程中code换取openid。
 */
@Suppress("unused")
class JsCode2Session: ReturnCode() {
    // 会话密钥
    var session_key: String? = null

    // 用户在开放平台的唯一标识符
    var unionid: String? = null

    // 用户唯一标识符
    var openid: String? = null
}