package com.cclotus.cms.domain

import com.baomidou.mybatisplus.annotation.IdType
import com.baomidou.mybatisplus.annotation.TableField
import com.baomidou.mybatisplus.annotation.TableId
import com.baomidou.mybatisplus.annotation.TableName

/**
 * 网站配置
 */
@TableName("cms_config")
class CmsConfig : CMSBaseEntity() {

    /**
     * 配置ID
     */
    @TableId(value = "config_id", type = IdType.AUTO)
    var configId: Int? = null

    /**
     * 说明标签
     */
    @TableField("label")
    var label: String? = null

    /**
     * 配置Key
     */
    @TableField("config_key")
    var configKey: String? = null

    /**
     * 配置Value
     */
    @TableField("config_value")
    var configValue: String? = null

    /**
     * 配置Value数据类型
     */
    @TableField("data_type")
    var dataType: String? = null
}
