package cclotus.ruoyi.ext.web.spa;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

@Data
@ConfigurationProperties(prefix = "ext.web.spa")
public class GafSpaConfigure {
    /**
     * 是否启用SPA处理
     */
    private boolean enabled = true;

    /**
     * 启用默认index处理的web路径
     */
    private List<String> indexPaths;

    /**
     * index文件名
     */
    private String indexFile = "index.html";
}
