package cclotus.weixin.gateway.domain;

import lombok.Getter;
import lombok.Setter;

/**
 * jsapi_ticket是公众号用于调用微信 JS 接口的临时票据。
 * 详见：<a href="https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html#62">...</a>
 */
@Getter @Setter
public class JsapiTicket extends ReturnCode {
	private String ticket;
	private int expires_in;
}
